Slider Captcha

Slider Captcha 2.6.2

No permission to download

AzzidReign

Well-known member
IE 8 is the oldest browser i tested and it worked. For more details, please contact the jQuery UI Slider Captcha developer - https://github.com/ist-dsi/jquery-ui-slider-captcha.
Why should I contact them? *You* wrote this addon. I'm asking what code *you* put in place. If the slider does not load, what have *you* coded into it to disable it for older browsers to show a captcha that the user can see and use? Seeing as IE8 works with it, it shouldn't be that big of an issue, I would just like to know what is under the hood and if there is anything I need to have my dev to install along side this to make this addon work for 100% of users.
 

Tan Tran

Well-known member
The addon is mainly based on that jquery and i do not modify the original script and i wrote some php files to render that slider on Xenforo . That's why i told you to contact the jquery script dev if you want to know about details of supported browsers.
 

AzzidReign

Well-known member
The addon is mainly based on that jquery and i do not modify the original script and i wrote some php files to render that slider on Xenforo . That's why i told you to contact the jquery script dev if you want to know about details of supported browsers.
To me, this addon sounds incomplete. If the slider doesn't load in an older browser, then the user cannot register. The addon should have a fallback to the old captcha if this one can't load properly in the browser...IMO.
 

The Grand Potentate

Well-known member
To me, this addon sounds incomplete. If the slider doesn't load in an older browser, then the user cannot register. The addon should have a fallback to the old captcha if this one can't load properly in the browser...IMO.
just how long are you going to keep *****ing about this?
 

Sheratan

Well-known member
To me, this addon sounds incomplete. If the slider doesn't load in an older browser, then the user cannot register. The addon should have a fallback to the old captcha if this one can't load properly in the browser...IMO.
This is quite logical to me... if I disable js in my browser (paranoid, maybe) then this add on should show a fallback to old captcha for "backup"
 

rainmotorsports

Well-known member
This is quite logical to me... if I disable js in my browser (paranoid, maybe) then this add on should show a fallback to old captcha for "backup"

The majority of xrumer bots aren't going to have javascript enabled, something like 80% of the bots in my logs don't. They can defeat some of the other captcha's just fine. So it basically defeats having an effective but human friendly captcha in the first place.

Sure there should be a fallback. But there is none that is going to suffice and be nice. FBHP's honeypots were a nice way of doing things. Then 1.4 came along and tenants disappeared. Now were back to cheap tricks with consequences.
 

AzzidReign

Well-known member
The majority of xrumer bots aren't going to have javascript enabled, something like 80% of the bots in my logs don't. They can defeat some of the other captcha's just fine. So it basically defeats having an effective but human friendly captcha in the first place.

Sure there should be a fallback. But there is none that is going to suffice and be nice. FBHP's honeypots were a nice way of doing things. Then 1.4 came along and tenants disappeared. Now were back to cheap tricks with consequences.
What would be great is if this doesn't load, it should ask the user to either upgrade their browser or enable JS.
 
Last edited by a moderator:

Tan Tran

Well-known member
It's just a random string, you can define by yourself, the captcha hash is based on that key. That will make the slider captcha more secure.

If you don't use that key, the slider captcha still works.
 

RAHSTYLES

Active member
Okay... So this wont work in older browsers.. ? So is there a fall back or if you dont have js then you cant register?
 

Tan Tran

Well-known member
Okay... So this wont work in older browsers.. ? So is there a fall back or if you dont have js then you cant register?
Currently, this addon only supports browsers with javascript enabled. And as i said , IE8 is the older browser i tested, i didnt test in older browsers (ie 6 etc) because i don't have them installed on my laptop.
 
Top